%global momorel   5
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global flimver  1.14.7-4m

Summary: SEMI - a library to provide MIME feature for Emacsen.
Name: elisp-semi
Version: 1.14.6
Release: %{momorel}m
License: GPL
Group: Applications/Editors
%NoSource 0 ftp://ftp.m17n.org/pub/mule/semi/semi-1.14-for-flim-1.14/semi-%{version}.tar.gz 22d735fa218c8c6268cd2c9395cd837b
URL: http://cvs.m17n.org/elisp/SEMI/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildPreReq: flim-emacs >= %{flimver}, flim-xemacs >= %{flimver}
Requires: emacsen
Obsoletes: elisp-emiko

%description
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n semi-emacs
Group: Applications/Editors
Summary: SEMI - a library to provide MIME feature for Emacs.
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: flim-emacs >= %{flimver}
Provides: emiko-emacs, emy-emacs
Obsoletes: emiko-emacs, emy-emacs

%description -n semi-emacs
SEMI is a library to provide MIME feature for GNU Emacs.

%package -n semi-xemacs
Group: Applications/Editors
Summary: SEMI - a library to provide MIME feature for XEmacs.
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: flim-xemacs >= %{flimver}
Provides: emiko-xemacs, emy-xemacs
Obsoletes: emiko-xemacs, emy-xemacs

%description -n semi-xemacs
SEMI is a library to provide MIME feature for XEmacs.

%prep
%setup -q -n semi-%{version}
rm -rf %{buildroot}

%build
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu
make EMACS=emacs \
  PREFIX=%{buildroot}%{_prefix} \
  LISPDIR=%{buildroot}%{e_sitedir} \
  VERSION_SPECIFIC_LISPDIR=%{buildroot}%{e_sitedir}/emu \
  install

make clean

make XEMACS=xemacs package
make XEMACS=xemacs PACKAGEDIR=%{buildroot}%{sitepdir} install-package

%install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README.* SEMI-naming.ol TODO VERSION

%files -n semi-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/semi

%files -n semi-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/semi

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.6-5m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.6-4m)
- rebuild against emacs 22.0.50

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.14.6-3m)
- use %{sitepdir}.

* Sat Jan 29 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.6-2m)
- Obsolete: elisp-emiko

* Tue Jan 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.14.6-1m)
- replaces elisp-emiko

